net.sf.cpsolver.studentsct

## Class StudentSctBBTest.Message

- java.lang.Object
- - net.sf.cpsolver.studentsct.StudentSctBBTest.Message

- Enclosing class:
    StudentSctBBTest

      public static class StudentSctBBTest.Message
      extends Object

  Sectioning message

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `sMsgLevelError` Error message level
    `static int` | `sMsgLevelInfo` Info message level
    `static String[]` | `sMsgLevels` Message levels
    `static int` | `sMsgLevelWarn` Warning message level

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message(int level, Request request, String message)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLevel()` Message level (one of `sMsgLevelInfo`, `sMsgLevelWarn`, and `sMsgLevelError`)
    `String` | `getLevelString()` Message level as string
    `String` | `getMessage()` Message
    `Request` | `getRequest()` Related course / free time request
    `String` | `toString()` String representation (message level: message)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sMsgLevels

          public static String[] sMsgLevels

      Message levels

    - #### sMsgLevelInfo

          public static int sMsgLevelInfo

      Info message level

    - #### sMsgLevelWarn

          public static int sMsgLevelWarn

      Warning message level

    - #### sMsgLevelError

          public static int sMsgLevelError

      Error message level

  - ### Constructor Detail

    - #### Message

          public Message(int level,
                         Request request,
                         String message)

      Constructor
      Parameters:
        `level` - message level (one of `sMsgLevelInfo`, `sMsgLevelWarn`, and `sMsgLevelError`)
        `request` - related course / free time request
        `message` - a message

  - ### Method Detail

    - #### getLevel

          public int getLevel()

      Message level (one of `sMsgLevelInfo`, `sMsgLevelWarn`, and `sMsgLevelError`)

    - #### getLevelString

          public String getLevelString()

      Message level as string

    - #### getRequest

          public Request getRequest()

      Related course / free time request

    - #### getMessage

          public String getMessage()

      Message

    - #### toString

          public String toString()

      String representation (message level: message)
      Overrides:
        `toString` in class `Object`